comparison configure @ 62294:70e1a2342c4f

Regenerate.
author YAMAMOTO Mitsuharu <mituharu@math.s.chiba-u.ac.jp>
date Fri, 13 May 2005 08:55:10 +0000
parents 46c54dc8b647
children dc112019132f 6fef25c75847
comparison
equal deleted inserted replaced
62293:f020f9769645 62294:70e1a2342c4f
8213 opsysfile="s/hpux9shxr4.h" 8213 opsysfile="s/hpux9shxr4.h"
8214 ;; 8214 ;;
8215 esac 8215 esac
8216 fi 8216 fi
8217 8217
8218 HAVE_CARBON=no
8219 if test "${HAVE_X11}" != "yes"; then
8220 if test "${with_carbon}" != "no"; then
8221 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
8222 echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
8223 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
8224 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
8225 echo $ECHO_N "(cached) $ECHO_C" >&6
8226 fi
8227 echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
8228 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
8229 else
8230 # Is the header compilable?
8231 echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
8232 echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6
8233 cat >conftest.$ac_ext <<_ACEOF
8234 /* confdefs.h. */
8235 _ACEOF
8236 cat confdefs.h >>conftest.$ac_ext
8237 cat >>conftest.$ac_ext <<_ACEOF
8238 /* end confdefs.h. */
8239 $ac_includes_default
8240 #include <Carbon/Carbon.h>
8241 _ACEOF
8242 rm -f conftest.$ac_objext
8243 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8244 (eval $ac_compile) 2>conftest.er1
8245 ac_status=$?
8246 grep -v '^ *+' conftest.er1 >conftest.err
8247 rm -f conftest.er1
8248 cat conftest.err >&5
8249 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8250 (exit $ac_status); } &&
8251 { ac_try='test -z "$ac_c_werror_flag"
8252 || test ! -s conftest.err'
8253 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8254 (eval $ac_try) 2>&5
8255 ac_status=$?
8256 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8257 (exit $ac_status); }; } &&
8258 { ac_try='test -s conftest.$ac_objext'
8259 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8260 (eval $ac_try) 2>&5
8261 ac_status=$?
8262 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8263 (exit $ac_status); }; }; then
8264 ac_header_compiler=yes
8265 else
8266 echo "$as_me: failed program was:" >&5
8267 sed 's/^/| /' conftest.$ac_ext >&5
8268
8269 ac_header_compiler=no
8270 fi
8271 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8272 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8273 echo "${ECHO_T}$ac_header_compiler" >&6
8274
8275 # Is the header present?
8276 echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
8277 echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6
8278 cat >conftest.$ac_ext <<_ACEOF
8279 /* confdefs.h. */
8280 _ACEOF
8281 cat confdefs.h >>conftest.$ac_ext
8282 cat >>conftest.$ac_ext <<_ACEOF
8283 /* end confdefs.h. */
8284 #include <Carbon/Carbon.h>
8285 _ACEOF
8286 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8287 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8288 ac_status=$?
8289 grep -v '^ *+' conftest.er1 >conftest.err
8290 rm -f conftest.er1
8291 cat conftest.err >&5
8292 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8293 (exit $ac_status); } >/dev/null; then
8294 if test -s conftest.err; then
8295 ac_cpp_err=$ac_c_preproc_warn_flag
8296 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8297 else
8298 ac_cpp_err=
8299 fi
8300 else
8301 ac_cpp_err=yes
8302 fi
8303 if test -z "$ac_cpp_err"; then
8304 ac_header_preproc=yes
8305 else
8306 echo "$as_me: failed program was:" >&5
8307 sed 's/^/| /' conftest.$ac_ext >&5
8308
8309 ac_header_preproc=no
8310 fi
8311 rm -f conftest.err conftest.$ac_ext
8312 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8313 echo "${ECHO_T}$ac_header_preproc" >&6
8314
8315 # So? What about this header?
8316 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8317 yes:no: )
8318 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&5
8319 echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8320 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&5
8321 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&2;}
8322 ac_header_preproc=yes
8323 ;;
8324 no:yes:* )
8325 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&5
8326 echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
8327 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&5
8328 echo "$as_me: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&2;}
8329 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&5
8330 echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
8331 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&5
8332 echo "$as_me: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&2;}
8333 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&5
8334 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&2;}
8335 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&5
8336 echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&2;}
8337 (
8338 cat <<\_ASBOX
8339 ## ------------------------------------------ ##
8340 ## Report this to the AC_PACKAGE_NAME lists. ##
8341 ## ------------------------------------------ ##
8342 _ASBOX
8343 ) |
8344 sed "s/^/$as_me: WARNING: /" >&2
8345 ;;
8346 esac
8347 echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
8348 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
8349 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
8350 echo $ECHO_N "(cached) $ECHO_C" >&6
8351 else
8352 ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
8353 fi
8354 echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
8355 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
8356
8357 fi
8358 if test $ac_cv_header_Carbon_Carbon_h = yes; then
8359 HAVE_CARBON=yes
8360 fi
8361
8362
8363 fi
8364 fi
8365
8218 ### Compute the unexec source name from the object name. 8366 ### Compute the unexec source name from the object name.
8219 UNEXEC_SRC="`echo ${unexec} | sed 's/\.o/.c/'`" 8367 UNEXEC_SRC="`echo ${unexec} | sed 's/\.o/.c/'`"
8220 8368
8221 # Do the opsystem or machine files prohibit the use of the GNU malloc? 8369 # Do the opsystem or machine files prohibit the use of the GNU malloc?
8222 # Assume not, until told otherwise. 8370 # Assume not, until told otherwise.
11043 cat >>confdefs.h <<\_ACEOF 11191 cat >>confdefs.h <<\_ACEOF
11044 #define USE_TOOLKIT_SCROLL_BARS 1 11192 #define USE_TOOLKIT_SCROLL_BARS 1
11045 _ACEOF 11193 _ACEOF
11046 11194
11047 USE_TOOLKIT_SCROLL_BARS=yes 11195 USE_TOOLKIT_SCROLL_BARS=yes
11196 elif test "${HAVE_CARBON}" = "yes"; then
11197 cat >>confdefs.h <<\_ACEOF
11198 #define USE_TOOLKIT_SCROLL_BARS 1
11199 _ACEOF
11200
11201 USE_TOOLKIT_SCROLL_BARS=yes
11048 fi 11202 fi
11049 fi 11203 fi
11050 11204
11051 cat >conftest.$ac_ext <<_ACEOF 11205 cat >conftest.$ac_ext <<_ACEOF
11052 /* confdefs.h. */ 11206 /* confdefs.h. */
12382 _ACEOF 12536 _ACEOF
12383 12537
12384 fi 12538 fi
12385 fi 12539 fi
12386 12540
12387 ### Use Mac OS X Carbon API to implement GUI.
12388 HAVE_CARBON=no
12389 if test "${with_carbon}" != "no"; then
12390 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
12391 echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
12392 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
12393 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
12394 echo $ECHO_N "(cached) $ECHO_C" >&6
12395 fi
12396 echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
12397 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
12398 else
12399 # Is the header compilable?
12400 echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
12401 echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6
12402 cat >conftest.$ac_ext <<_ACEOF
12403 /* confdefs.h. */
12404 _ACEOF
12405 cat confdefs.h >>conftest.$ac_ext
12406 cat >>conftest.$ac_ext <<_ACEOF
12407 /* end confdefs.h. */
12408 $ac_includes_default
12409 #include <Carbon/Carbon.h>
12410 _ACEOF
12411 rm -f conftest.$ac_objext
12412 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12413 (eval $ac_compile) 2>conftest.er1
12414 ac_status=$?
12415 grep -v '^ *+' conftest.er1 >conftest.err
12416 rm -f conftest.er1
12417 cat conftest.err >&5
12418 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12419 (exit $ac_status); } &&
12420 { ac_try='test -z "$ac_c_werror_flag"
12421 || test ! -s conftest.err'
12422 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12423 (eval $ac_try) 2>&5
12424 ac_status=$?
12425 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12426 (exit $ac_status); }; } &&
12427 { ac_try='test -s conftest.$ac_objext'
12428 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12429 (eval $ac_try) 2>&5
12430 ac_status=$?
12431 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12432 (exit $ac_status); }; }; then
12433 ac_header_compiler=yes
12434 else
12435 echo "$as_me: failed program was:" >&5
12436 sed 's/^/| /' conftest.$ac_ext >&5
12437
12438 ac_header_compiler=no
12439 fi
12440 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12441 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12442 echo "${ECHO_T}$ac_header_compiler" >&6
12443
12444 # Is the header present?
12445 echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
12446 echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6
12447 cat >conftest.$ac_ext <<_ACEOF
12448 /* confdefs.h. */
12449 _ACEOF
12450 cat confdefs.h >>conftest.$ac_ext
12451 cat >>conftest.$ac_ext <<_ACEOF
12452 /* end confdefs.h. */
12453 #include <Carbon/Carbon.h>
12454 _ACEOF
12455 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12456 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12457 ac_status=$?
12458 grep -v '^ *+' conftest.er1 >conftest.err
12459 rm -f conftest.er1
12460 cat conftest.err >&5
12461 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12462 (exit $ac_status); } >/dev/null; then
12463 if test -s conftest.err; then
12464 ac_cpp_err=$ac_c_preproc_warn_flag
12465 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
12466 else
12467 ac_cpp_err=
12468 fi
12469 else
12470 ac_cpp_err=yes
12471 fi
12472 if test -z "$ac_cpp_err"; then
12473 ac_header_preproc=yes
12474 else
12475 echo "$as_me: failed program was:" >&5
12476 sed 's/^/| /' conftest.$ac_ext >&5
12477
12478 ac_header_preproc=no
12479 fi
12480 rm -f conftest.err conftest.$ac_ext
12481 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12482 echo "${ECHO_T}$ac_header_preproc" >&6
12483
12484 # So? What about this header?
12485 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
12486 yes:no: )
12487 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&5
12488 echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
12489 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&5
12490 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's result" >&2;}
12491 ac_header_preproc=yes
12492 ;;
12493 no:yes:* )
12494 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&5
12495 echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
12496 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&5
12497 echo "$as_me: WARNING: Carbon/Carbon.h: check for missing prerequisite headers?" >&2;}
12498 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&5
12499 echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
12500 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&5
12501 echo "$as_me: WARNING: Carbon/Carbon.h: section \"Present But Cannot Be Compiled\"" >&2;}
12502 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&5
12503 echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's result" >&2;}
12504 { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&5
12505 echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take precedence" >&2;}
12506 (
12507 cat <<\_ASBOX
12508 ## ------------------------------------------ ##
12509 ## Report this to the AC_PACKAGE_NAME lists. ##
12510 ## ------------------------------------------ ##
12511 _ASBOX
12512 ) |
12513 sed "s/^/$as_me: WARNING: /" >&2
12514 ;;
12515 esac
12516 echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
12517 echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
12518 if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
12519 echo $ECHO_N "(cached) $ECHO_C" >&6
12520 else
12521 ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
12522 fi
12523 echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
12524 echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
12525
12526 fi
12527 if test $ac_cv_header_Carbon_Carbon_h = yes; then
12528 HAVE_CARBON=yes
12529 fi
12530
12531
12532 fi
12533
12534 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then 12541 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then
12535 echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5 12542 echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5
12536 echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6 12543 echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6
12537 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then 12544 if test "${ac_cv_header_malloc_malloc_h+set}" = set; then
12538 echo $ECHO_N "(cached) $ECHO_C" >&6 12545 echo $ECHO_N "(cached) $ECHO_C" >&6
12676 12683
12677 fi 12684 fi
12678 12685
12679 12686
12680 12687
12688 ### Use Mac OS X Carbon API to implement GUI.
12681 if test "${HAVE_CARBON}" = "yes"; then 12689 if test "${HAVE_CARBON}" = "yes"; then
12682 12690
12683 cat >>confdefs.h <<\_ACEOF 12691 cat >>confdefs.h <<\_ACEOF
12684 #define HAVE_CARBON 1 12692 #define HAVE_CARBON 1
12685 _ACEOF 12693 _ACEOF